trace_transaction

API key required. This Polygon method is documented for keyed private endpoints. It is not available on /v1/rpc/public. Create an endpoint to get an API key.

Network: Polygon · Mainnet · Chain ID 137 (0x89)

Counts as 5 requests. See Request Counting.

Tier: Paid plan required. Not available on Free.

Description

Returns trace for a single transaction (Erigon format).

Parameters

ParameterTypeRequiredDescription
transactionHashhexYesTransaction hash

Request

{ "jsonrpc": "2.0", "method": "trace_transaction", "params": ["0x02b39a7c1f83eebf04e785ffc31a13543cc77353461e02f30f4ea48ef5db368e"], "id": 1 }

Code Examples

curl -X POST https://polygon-bor-rpc.blockreq.com/v1/rpc/BRQ1P0000000000000000000000000000000000000000000000000000000 \ -H "Content-Type: application/json" \ -d '{"jsonrpc":"2.0","method":"trace_transaction","params":["0x02b39a7c1f83eebf04e785ffc31a13543cc77353461e02f30f4ea48ef5db368e"],"id":1}'

Try It